It's all about the answers!

Ask a question

Jazz 7.0RC2 upgrade to Release 7.0 with error CRJAZ3023E


Stefan Witkowski (131) | asked Apr 22 '20, 10:58 a.m.

 Hi, 

i try to upgrade 7.0RC2 to 7.0 release and have some problems with repositoryDB 
during jts upgrading in step 1 I recive an error CRJAZ3023E. Message is in german but translation will be like:
"Length of string attribute of "value" in class "com.ibm.team.repository.service.internal.trs.trsvalidationmodel.trsvalidationstore" was reduced, but there is no model development descriptor.
Can I somehow fix it? 
best regards
Stefan


Comments
Ralph Schoon commented Apr 23 '20, 2:35 a.m.
FORUM ADMINISTRATOR / FORUM MODERATOR / JAZZ DEVELOPER
I am not completely sure anymore, but I think the milestones are for testing only. So you could get there by upgrading to them. It might not be possible to upgrade from a milestone to the next higher release, because the migration is basically designed and tested to work for official versions to the current version.

So it is possible to upgrade from 6.x to 7.0 RC2 with the RC2 code, but there is not necessarily any tested capability to go from 7.0 RC2 to 7.0GA.

The 7.0GA code would be available to upgrade from 6.x to 7.0GA.

Stefan Witkowski commented Apr 23 '20, 2:43 a.m.

The thing is we needed to switch to vs2019 ant it is supported only by 7.x. 

Upgrading from RC1 to RC2 was fine. Upgrade scripts without errors, and everything was working. 

One answer



permanent link
Ralph Schoon (59.4k23642) | answered Apr 23 '20, 3:55 a.m.
FORUM ADMINISTRATOR / FORUM MODERATOR / JAZZ DEVELOPER
As far as I can tell, you are not supposed to upgrade a production system to a milestone build for production usage. You are only supposed to do that for a throw away test system.  For one thing, the temporary licenses for the milestone build will expire.

You can try to contact support, they will be able to tell the final verdict and maybe able to help.

My suggestion, never do that again. Only go to milestones with test systems. Do not expect to be able to upgrade from a milestone to a GA version.


Comments
Stefan Witkowski commented Apr 23 '20, 7:40 a.m.

 Ok, I rolled my 6.0.2 Version from backup and have exact the same issue and error. 


Ralph Schoon commented Apr 23 '20, 10:11 a.m.
FORUM ADMINISTRATOR / FORUM MODERATOR / JAZZ DEVELOPER

Contact support please. They will need more data such as logs.

Your answer


Register or to post your answer.